using System;
namespace takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            ulong x = ulong.Parse(Console.ReadLine());
            ulong y = ulong.Parse(Console.ReadLine());
            ulong i = 1;
            ulong xy = 0;
            if (x < 10)
            {
                xy = y - y % 10 + x;
            }
            else if (y < 10) 
            {
                xy = x - x % 10 + y;
            }
            else 
            while (Math.Max(x, y) > 0)
            {
                if (x % 10 == y % 10)
                {
                    xy += i * (x % 10);
                    xy += i * 10 * (y % 10);
                    i *= 10;
                }
                else xy += i * Math.Max(x % 10, y % 10);
                x /= 10;
                y /= 10;
                i *= 10;
            }
            Console.WriteLine(xy);
        }
    }
}